www.cendio.com
Bug 6971 - Connect and cancel buttons in wrong order in "Select session" window
: Connect and cancel buttons in wrong order in "Select session" window
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-05-12 15:40 by
Modified: 2017-08-21 12:45 (History)


Attachments
wrong order (207.22 KB, image/png)
2017-05-12 15:41, Karl Mikaelsson
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-05-12 15:40:39
The ThinLinc Client window has "Connect" to the right of "Exit".
The "Client Options" window has "OK" to the right of "Cancel".
The "Select session" window has "Cancel" to the left of "Connect".

*record scratch*

As a user of the ThinLinc client, I've grown used to expect a "OK", "Connect"
or other go-ahead-type buttons to be placed on the right, having "no",
"cancel", "stop" etc on the left. The "select session" window surprised me by
having Connect to the left of Cancel. I've pressed the wrong button a number of
times. I should not have to think about this.
------- Comment #1 From cendio 2017-05-12 15:41:39 -------
Created an attachment (id=803) [details]
wrong order
------- Comment #2 From cendio 2017-06-09 10:00:55 -------
This is a regression - this worked perfectly fine in 4.7.0.
------- Comment #4 From cendio 2017-06-13 13:54:00 -------
Regression introduced by r32117.
------- Comment #6 From cendio 2017-08-21 12:45:44 -------
Verified using ThinLinc client buld 5440. Connect and cancel button is now in
the correct order.